package com.ruoyi.project.business.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 tq_specification
 * 
 * @author ruoyi
 * @date 2024-05-10
 */
public class TqSpecification extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 报价ID */
    @Excel(name = "报价ID")
    private Long quotationId;

    /** 电梯型号ID */
    @Excel(name = "电梯型号ID")
    private Long elevatorModelId;

    /** 电梯数量 */
    @Excel(name = "电梯数量")
    private Long elevatorNumber;

    /** 电梯规格编码 */
    @Excel(name = "电梯规格编码")
    private String elevatorGroupCode;

    /** 电梯编码 */
    @Excel(name = "电梯编码")
    private String elevatorCode;

    /** 规格(载重/速度/轿厢宽*深*高/开门方式/开门宽*高/层数/站数/门数) */
    @Excel(name = "规格(载重/速度/轿厢宽*深*高/开门方式/开门宽*高/层数/站数/门数)")
    private String specification;

    /** 价格 */
    @Excel(name = "价格")
    private BigDecimal price;

    /** 基础价格 */
    @Excel(name = "基础价格")
    private BigDecimal basicPrice;

    /** 选配价格 */
    @Excel(name = "选配价格")
    private BigDecimal optionalPrice;

    /** 系统评审结果（00：标准 01：非标准） */
    @Excel(name = "系统评审结果", readConverterExp = "0=0：标准,0=1：非标准")
    private String systemCheckResult;

    /** 最终价格 */
    @Excel(name = "最终价格")
    private BigDecimal finalPrice;

    /** 报价状态（数据字典） */
    @Excel(name = "报价状态", readConverterExp = "数=据字典")
    private String quotationStatus;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setQuotationId(Long quotationId) 
    {
        this.quotationId = quotationId;
    }

    public Long getQuotationId() 
    {
        return quotationId;
    }
    public void setElevatorModelId(Long elevatorModelId) 
    {
        this.elevatorModelId = elevatorModelId;
    }

    public Long getElevatorModelId() 
    {
        return elevatorModelId;
    }
    public void setElevatorNumber(Long elevatorNumber) 
    {
        this.elevatorNumber = elevatorNumber;
    }

    public Long getElevatorNumber() 
    {
        return elevatorNumber;
    }
    public void setElevatorGroupCode(String elevatorGroupCode) 
    {
        this.elevatorGroupCode = elevatorGroupCode;
    }

    public String getElevatorGroupCode() 
    {
        return elevatorGroupCode;
    }
    public void setElevatorCode(String elevatorCode) 
    {
        this.elevatorCode = elevatorCode;
    }

    public String getElevatorCode() 
    {
        return elevatorCode;
    }
    public void setSpecification(String specification) 
    {
        this.specification = specification;
    }

    public String getSpecification() 
    {
        return specification;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setBasicPrice(BigDecimal basicPrice) 
    {
        this.basicPrice = basicPrice;
    }

    public BigDecimal getBasicPrice() 
    {
        return basicPrice;
    }
    public void setOptionalPrice(BigDecimal optionalPrice) 
    {
        this.optionalPrice = optionalPrice;
    }

    public BigDecimal getOptionalPrice() 
    {
        return optionalPrice;
    }
    public void setSystemCheckResult(String systemCheckResult) 
    {
        this.systemCheckResult = systemCheckResult;
    }

    public String getSystemCheckResult() 
    {
        return systemCheckResult;
    }
    public void setFinalPrice(BigDecimal finalPrice) 
    {
        this.finalPrice = finalPrice;
    }

    public BigDecimal getFinalPrice() 
    {
        return finalPrice;
    }
    public void setQuotationStatus(String quotationStatus) 
    {
        this.quotationStatus = quotationStatus;
    }

    public String getQuotationStatus() 
    {
        return quotationStatus;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("quotationId", getQuotationId())
            .append("elevatorModelId", getElevatorModelId())
            .append("elevatorNumber", getElevatorNumber())
            .append("elevatorGroupCode", getElevatorGroupCode())
            .append("elevatorCode", getElevatorCode())
            .append("specification", getSpecification())
            .append("price", getPrice())
            .append("basicPrice", getBasicPrice())
            .append("optionalPrice", getOptionalPrice())
            .append("systemCheckResult", getSystemCheckResult())
            .append("finalPrice", getFinalPrice())
            .append("quotationStatus", getQuotationStatus())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
